package state

import (
	"github.com/pkg/errors"
)

func IncorrectSignalsLength(expected int, received int) error {
	return errors.Errorf("incorrect number of signals in message expected %d received %d", expected, received)
}

func IncorrectSignalError(expected string, received string) error {
	return errors.Errorf("wrong signal in message expected %s received %s", expected, received)
}

func IncorrectSignalValue(expected interface{}, received interface{}) error {
	return errors.Errorf("wrong value in message expected one of %v received %v", expected, received)
}
